import numpy as np
import pandas as pd

names = ('Ortwin', 'Mara', 'Siegrun', 'Sylvester', 'Metin', 'Adeline', 'Utz', 'Susan', 'Gisbert', 'Senol')
data = {'Monday': np.array([0, 9, 2, 3, 7, 3, 9, 2, 4, 9]),
        'Tuesday': np.array([2, 6, 3, 3, 5, 5, 7, 7, 1, 0]),
        'Wednesday': np.array([6, 1, 1, 9, 4, 0, 8, 6, 8, 8]),
        'Thursday': np.array([1, 8, 6, 9, 9, 4, 1, 7, 3, 2]),
        'Friday': np.array([3, 5, 6, 6, 5, 2, 2, 4, 6, 5]),
        'Saturday': np.array([8, 4, 8, 2, 3, 9, 3, 4, 9, 7]),
        'Sunday': np.array([0, 8, 7, 8, 9, 7, 2, 0, 5, 2])}

# T property für .transpose()
data_df = pd.DataFrame(data, index=names).transpose()  # achtung hier wird transponiert (spalten zu zeilen und zeilen zu spalten)
print(data_df)

def categorize_day(day):
    if day in {"Saturday", "Sunday"}:
        return "Weekend"
    return "Weekday"

# die spalte nach welcher gruppiert wird in diesem Fall auf den Index gesetzt wird
res = data_df.groupby(categorize_day).sum()
print(res)

